com.tibbo.aggregate.common.context

## Enum ContextSessionLoggerParams

- java.lang.Object
- - java.lang.Enum<ContextSessionLoggerParams>
  - - com.tibbo.aggregate.common.context.ContextSessionLoggerParams

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContextSessionLoggerParams>

      public enum ContextSessionLoggerParams
      extends java.lang.Enum<ContextSessionLoggerParams>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESS`
    `CONTEXT`
    `DURATION`
    `ENTITY_NAME`
    `INPUT`
    `LOGIN`
    `OPERATION_TYPE`
    `OUTPUT`
    `SESSION_ID`
    `USERNAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContextSessionLoggerParams` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContextSessionLoggerParams[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SESSION_ID

          public static final ContextSessionLoggerParams SESSION_ID

    - #### ADDRESS

          public static final ContextSessionLoggerParams ADDRESS

    - #### LOGIN

          public static final ContextSessionLoggerParams LOGIN

    - #### USERNAME

          public static final ContextSessionLoggerParams USERNAME

    - #### CONTEXT

          public static final ContextSessionLoggerParams CONTEXT

    - #### OPERATION_TYPE

          public static final ContextSessionLoggerParams OPERATION_TYPE

    - #### ENTITY_NAME

          public static final ContextSessionLoggerParams ENTITY_NAME

    - #### INPUT

          public static final ContextSessionLoggerParams INPUT

    - #### OUTPUT

          public static final ContextSessionLoggerParams OUTPUT

    - #### DURATION

          public static final ContextSessionLoggerParams DURATION

  - ### Method Detail

    - #### values

          public static ContextSessionLoggerParams[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextSessionLoggerParams c : ContextSessionLoggerParams.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextSessionLoggerParams valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null